<template>
  <prime-card :class="['project-card', isExpanded && 'project-card_full-height' ]">
    <template #title>
      <div class="project-card__title">
        <slot name="title" />

        <prime-button
          :icon="`pi ${isExpanded ? 'pi-window-minimize' : 'pi-window-maximize' }`"
          class="p-button-rounded p-button-text p-button-secondary"
          @click="changeExpanded"
        />
      </div>
    </template>

    <template #content>
      <slot name="content" />
    </template>
  </prime-card>
</template>
<script lang="ts">
import PrimeButton from 'primevue/button/Button.vue';
import PrimeCard from 'primevue/card/Card.vue';
import { defineComponent } from 'vue';

export default defineComponent({
  name: 'expanded-card',
  components: {
    PrimeButton,
    PrimeCard,
  },
  data() {
    return {
      isExpanded: false,
    };
  },
  methods: {
    changeExpanded() {
      if (this.isExpanded) {
        document.body.style.overflow = 'unset';
      } else {
        document.body.style.overflow = 'hidden';
      }
      this.isExpanded = !this.isExpanded;
    },
  },
});
</script>
